@font-face {
    font-family: 'Unicorn';
    src: url(https://dl.dropbox.com/s/stne141j05ssst7/unicorns.ttf);
}

@font-face {
    font-family: livia;
    src: url(https://dl.dropbox.com/s/bg1ad8jqwxjzufg/Livia.otf);
}

::-moz-selection {
    color: #ff52a6;
    background: #FFF29F80;
}

::selection {
    color: #ff52a6;
    background: #FFF29F80;
}

strong {
    color: #ff52a6;
}

em {
    text-decoration: underline 1px dotted;
}

h1 {
    font-family: livia;
    align-self: flex-end;
    margin: 0;
    position: relative;
    bottom: -.3em;
    left: -1em;
    color: #fff;
    filter: drop-shadow(0px 1px #FFD6E7) drop-shadow(0 -1px #ff89c2) drop-shadow(1px 0 #FFD6E7) drop-shadow(-1px 0 #ff89c2);
}

h2 {
    font-family: 'Unicorn';
    margin: 0;
    text-align: center;
    font-size: 2em;
    color: #FFD6E7;
    filter: drop-shadow(0px 1px #ff89c2) drop-shadow(0 -1px #ff89c2) drop-shadow(1px 0 #ff89c2) drop-shadow(-1px 0 #ff89c2);
    z-index: 99;
}

h3 {
    font-family: 'Unicorn';
    margin: .3em 0;
    font-size: 1.5em;
    background: #FFF29F;
    color: #ff89c2;
}

h4>img {
    position: relative;
    bottom: -.1em;
}

h5 {
    font-family: 'Unicorn';
    margin: 0;
    font-size: 1.3em;
    color: #FFD6E7;
    filter: drop-shadow(0px 1px #ff89c2) drop-shadow(0 -1px #ff89c2) drop-shadow(1px 0 #ff89c2) drop-shadow(-1px 0 #ff89c2);
    display: inline;
}

a {
    color: #ff89c2;
    text-decoration: underline 2px dotted;
    transition: .5s;
}

a:hover,
a:focus {
    color: white;
    font-style: italic;
    cursor: url('https://cdn.cursors-4u.net/previews/pink-tiny-hand-bow-tie-770ddfbb-32.webp') 36 32, auto !important;
}

html {
    padding: 2.5em;
    background: url('/assets/img/writing/html-bg.png');
    font-family: arial;
    cursor: url('https://cdn.cursors-4u.net/previews/heart-chat-bubble-97dd6d06-32.webp') 32 32, auto !important;
}

/* border from loveberry */
body {
    width: 60%;
    margin: 0 auto;
    padding: 2em;
    border: 10px solid transparent;
    border-image: url(https://i.postimg.cc/QM9dMFhq/cloud.png) 50 round;
    border-image-outset: 8px;
    background: url('/assets/img/writing/body-bg.gif');
}

header {
    height: 25vh;
    padding: .5em 1em;
    border: 2px solid #000;
    border-bottom: 1px dotted #000;
    border-width: 2px 2px 1px;
    border-radius: 10px 10px 0 0;
    background: url('/assets/img/writing/card_normal.png') center 40em;
    background-size: 70em;
    display: flex;
}

nav {
    height: 5%;
    padding: .5em 1em;
    background: #FFD6E7;
    border: 2px solid #000;
    border-bottom: 1px dotted #000;
    border-width: 0 2px 1px;
}

.topnav {
    overflow: hidden;
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    display: block;
    background: #FFF29F;
    border-radius: 5px;
    color: #5a5a5a;
    text-decoration: underline 1px dotted;
    text-align: center;
    padding: .5em;
    margin-right: .5em;
    transition: .5s;
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: #fff5fa;
    letter-spacing: .1em;
}

/* Add an active class to highlight the current page */
.topnav a.active {
    background-color: #ff89c2;
    color: white;
}

/* Hide the link that should open and close the topnav on small screens */
.topnav .icon {
    display: none;
    background: transparent;
}

main {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr 2fr;
    column-gap: 1em;
    row-gap: 1em;
    height: 65vh;
    padding: 1em;
    background: white;
    border: 2px solid #000;
    border-width: 0 2px 0;
}

section {
    grid-row: 1/3;
    border: 1px dashed #000;
    height: 97%;
    padding: .5em;
    overflow: auto;
}

article {
    border: 1px dotted #000;
    border-radius: 5px;
    margin-bottom: .5em;
    padding: .5em;
}

article>p {
    margin: .5em 0;
}

h4,
article>a {
    margin: 0;
    text-decoration: underline;
    display: inline;
    font-size: 1.1em;
    font-style: italic;
    color: #ff52a6;
    font-weight: bold;
}

article>hr {
    border: .5px dashed #777;
}

.excerpt {
    border-left: 2px solid #ff89c2;
    padding-left: .3em;
}

.tags {
    margin-top: .5em;
}

.tags>span {
    border: 1px solid #000;
    border-radius: 5px;
    padding: .2em;
    cursor: url('https://cdn.cursors-4u.net/previews/pink-tiny-hand-bow-tie-770ddfbb-32.webp') 36 32, auto !important;
    line-height: 2em;
}

.warn {
    background: #ff52a6;
    font-weight: bold;
}

.ship {
    background: #ff89c2;
}

.chara {
    background: #ffc6ee;
}

.other {
    background: #FFF29F;
}

.tags>span:hover {
    font-style: italic;
}

#series {
    display: grid;
    grid-template-rows: 2.1em 1fr;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 1em;
    row-gap: 1em;
}

#series>h2 {
    grid-column: 1/7;
}

#series>article {
    border: 1px dotted #000;
    border-radius: 5px;
    width: 8em;
    height: 8em;
    overflow-x: hidden;
    overflow-y: scroll;
    padding: 1rem;
    transition: width 0.7s ease;
    text-align: center;
}

#series>article:hover {
    width: 15em;
    height: 15em;
}

aside {
    border: 1px dashed #000;
    padding: .5em;
    grid-row: 1/3;
    height: 97%;
    overflow: auto;
}

.filter {
    overflow: hidden;
}

.fic,
.series {
    display: none;
    /* Hidden by default */
}

/* The "show" class is added to the filtered elements */
.show {
    display: block;
}

.filt {
    text-align: center;
    background: #ffc6ee;
    padding: 5px;
    border-radius: 5px;
    border: 2px outset #ffc6ee;
    margin: 0 0 5px 0;
    transition: .5s;
    cursor: url('https://cdn.cursors-4u.net/previews/pink-tiny-hand-bow-tie-770ddfbb-32.webp') 36 32, auto !important;
}

.filt:hover {
    border: 2px inset #ffc6ee;
    font-style: italic;
}

iframe {
    display: block;
    width: 99%;
    height: 91%;
    border: 1px dotted #000;
}

#profile {
    align-self: start;
    background: #FFF29F;
    border-width: 8px;
    box-shadow: 0px 0px 10px #FFF29F, 0px 0px 10px #FFF29F, 0px 0px 10px #FFF29F, 0px 0px 10px #FFF29F, 0px 0px 14px #FFF29F;
    padding: .5em;
    height: 90%;
    width: 93%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: 1fr 1fr;
    row-gap: 1em;
}

#profile>img {
    width: 5em;
    height: 5em;
    border: 3px double #000;
    background: #efa9a9;
    transition: all 0.5s;
    display: block;
    transition: 1s ease;
    -webkit-mask-image: url(https://dl.dropbox.com/s/2kih8ox9q2czjeg/pngfind.com-kawaii-transparent-png-621355.png);
    -webkit-mask-size: 220%;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

#profile>img:hover {
    transition: all 0.5s;
    -webkit-mask-image: url(https://dl.dropbox.com/s/2kih8ox9q2czjeg/pngfind.com-kawaii-transparent-png-621355.png);
    -webkit-mask-size: 100%;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

#profile>div {
    margin: 0;
}

#profile>p {
    grid-column: 1/3;
    margin: 0;
    height: 4em;
    overflow-y: scroll;
    background: white;
    box-shadow: 0px 0px 10px #fff, 0px 0px 10px #fff, 0px 0px 10px #fff, 0px 0px 10px #fff, 0px 0px 14px #fff;
    padding: .5em;
}

#news {
    align-self: start;
    border: 1px dashed #000;
    height: 95%;
    padding: .5em;
    overflow: auto;
}

details {
    border-bottom: 1px dotted #000;
    border-width: 1px 0;
    padding: .5em;
    cursor: url('https://cdn.cursors-4u.net/previews/pink-tiny-hand-bow-tie-770ddfbb-32.webp') 36 32, auto !important;
}

footer {
    padding: .5em 1em;
    background: #FFD6E7;
    border: 2px solid #000;
    border-top: dotted #000;
    border-width: 1px 2px 2px;
    border-radius: 0 0 10px 10px;
    text-align: center;
}

/* ABOUT PAGE */
#about {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: 1fr 2fr;
    row-gap: 1em;
    column-gap: 1em;
}

#about>h2 {
    display: none;
}

#icon {
    width: 100%;
    border: 1px solid #000;
    transition: 1s ease;
    -webkit-mask-image: url(https://dl.dropbox.com/s/2kih8ox9q2czjeg/pngfind.com-kawaii-transparent-png-621355.png);
    -webkit-mask-size: 220%;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

#icon:hover {
    transition: all 0.5s;
    -webkit-mask-image: url(https://dl.dropbox.com/s/2kih8ox9q2czjeg/pngfind.com-kawaii-transparent-png-621355.png);
    -webkit-mask-size: 100%;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

#short {
    align-self: center;
    height: 92%;
    width: 98%;
    background: #FFF29F;
    border-width: 2px;
    box-shadow: 0px 0px 10px #FFF29F, 0px 0px 10px #FFF29F, 0px 0px 10px #FFF29F, 0px 0px 10px #FFF29F, 0px 0px 14px #FFF29F;
    text-align: center;
}

#short>p {
    margin: .5em;
}

#long {
    grid-column: 1/3;
    border: 1px dotted #000;
    border-radius: 5px;
    padding: .5em;
}

#long>p {
    margin: .5em 0;
}

@media (max-width: 800px) {
    html {
        padding: 1em;
    }

    body {
        width: 85%;
        height: 100%;
        padding: 1em;
    }

    main {
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    section,
    aside,
    #news {
        margin: 0 auto;
        width: 96%
    }

    #profile {
        margin: 0 auto;
        width: 94%;
    }

    iframe {
        width: 99%;
        height: 29em;
    }

    h1 {
        font-size: 1.61em;
    }

    aside {
        order: 1;
    }

    section {
        order: 2;
    }

    #about {
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    #about>h2 {
        display: block;
    }

    #short {
        width: 95%;
    }

    #icon {
        width: 50%;
        align-self: center;
    }

    #fandom {
        order: 2;
    }

    #stamps>img {
        width: 30%
    }
}

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 600px) {
    .topnav a:not(:first-child) {
        display: none;
    }

    .topnav a.icon {
        float: right;
        display: block;
    }
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 600px) {
    .topnav.responsive {
        position: relative;
    }

    .topnav.responsive a.icon {
        position: absolute;
        right: 0;
        top: 0;
    }

    .topnav.responsive a {
        float: none;
        display: block;
        text-align: left;
    }
}